Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing
Class JSVGCanvasBeanInfo

    java.lang.Object
      java.beans.SimpleBeanInfo
          org.apache.batik.swing.JSVGCanvasBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class JSVGCanvasBeanInfo

extends SimpleBeanInfo

A `BeanInfo` for the `JSVGCanvas`.

Field Summary
`protected Image` | `iconColor16x16` A color 16x16 icon.
`protected Image` | `iconColor32x32` A color 32x32 icon.
`protected Image` | `iconMono16x16` A greyscale 16x16 icon.
`protected Image` | `iconMono32x32` A greyscale 32x32 icon.

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JSVGCanvasBeanInfo()` Constructs a new `BeanInfo` for a `JSVGCanvas`.

Method Summary
`Image` | `getIcon(int iconType)` Returns an icon for the specified type.

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iconColor16x16

    protected Image iconColor16x16

  A color 16x16 icon.

### iconMono16x16

    protected Image iconMono16x16

  A greyscale 16x16 icon.

### iconColor32x32

    protected Image iconColor32x32

  A color 32x32 icon.

### iconMono32x32

    protected Image iconMono32x32

  A greyscale 32x32 icon.

Constructor Detail

### JSVGCanvasBeanInfo

    public JSVGCanvasBeanInfo()

  Constructs a new `BeanInfo` for a `JSVGCanvas`.

Method Detail

### getIcon

    public Image getIcon(int iconType)

  Returns an icon for the specified type.

  Specified by:
    `getIcon` in interface `BeanInfo`
  Overrides:
    `getIcon` in class `SimpleBeanInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.